# Class Packer

#### Hierarchy

- Packer

- Defined in src/export/packer/packer.ts:15

#####
Index

### Constructors

constructor

### Methods

toBase64String
toBlob
toBuffer

## Constructors

### constructor

- new Packer(): Packer

- #### Returns Packer

## Methods

### `Static` toBase64String

- toBase64String(file: Document, prettify?: boolean | PrettifyType): Promise<string>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<string>

  - Defined in src/export/packer/packer.ts:27

### `Static` toBlob

- toBlob(file: Document, prettify?: boolean | PrettifyType): Promise<Blob>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<Blob>

  - Defined in src/export/packer/packer.ts:38

### `Static` toBuffer

- toBuffer(file: Document, prettify?: boolean | PrettifyType): Promise<Buffer>

- #### Parameters

  - ##### file: Document

  - ##### `Optional` prettify: boolean | PrettifyType

  #### Returns Promise<Buffer>

  - Defined in src/export/packer/packer.ts:16

Generated using TypeDoc